@echo off
set OS=win
set LOGIC=../../logic
set PRES=../../ui
set IO=../../io
cls
echo COMPILING Hexadecimal Editor for %OS%...
echo COMPILING Presentation Layer
g++ -Wall -D__WINDOWS__ -c -o presentation.o %PRES%/%OS%/*.cpp

echo COMPILING I/O Layer
g++ -Wall -D__WINDOWS__ -c -o io.o %IO%/%OS%/*.cpp

REM HXE icon
echo Windows: HXE Icon
windres -i hxe.rc -J rc -o hxe.res -O coff


echo COMPILING Logic Layer
g++ -Wall -D__WINDOWS__ -mwindows -Lhxe.res -lm -o hxe %LOGIC%/*.cpp presentation.o io.o hxe.res

pause